com.h3c.of.lib.msg

## Class OfmQueueGetConfigReply

- java.lang.Object
- - com.h3c.nbio.AbstractMessage
  - - com.h3c.of.lib.msg.OpenflowMessage
    - - com.h3c.of.lib.msg.OfmQueueGetConfigReply

- All Implemented Interfaces:
    Message, Structure
  Direct Known Subclasses:
    OfmMutableQueueGetConfigReply

      public class OfmQueueGetConfigReply
      extends OpenflowMessage

  Represents an OpenFlow QUEUE_GET_CONFIG_REPLY message; since 1.0.

  Queue configuration takes place outside the OpenFlow protocol, either through a command line tool or through an external dedicated configuration protocol.

  The controller can query the switch for configured queues, and the reply will contain a list of configured queues.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.h3c.of.lib.msg.OpenflowMessage

      `OpenflowMessage.Header`

  - ### Field Summary

    - ### Fields inherited from class com.h3c.nbio.AbstractMessage

      `length`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `BigPortNumber` | `getPort()` Returns the ID of the port that was queried; Since 1.0.
    `List<Queue>` | `getQueues()` Returns the list of configured queues; Since 1.0.
    `String` | `toDebugString()` Returns a string representation useful for debugging.
    `String` | `toString()`

    - ### Methods inherited from class com.h3c.of.lib.msg.OpenflowMessage

      `decodeHeader, getType, getVersion, getXid, hex, hex, length, validate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `OpenflowMessage`

    - #### toDebugString

          public String toDebugString()

      Description copied from class: `OpenflowMessage`
      Returns a string representation useful for debugging. This default implementation delegates to `OpenflowMessage.toString()`, but subclasses are free to override this behavior.
      Specified by:
        `toDebugString` in interface `Structure`
      Overrides:
        `toDebugString` in class `OpenflowMessage`
      Returns:
        a (possibly multi-line) string representation of this message

    - #### getPort

          public BigPortNumber getPort()

      Returns the ID of the port that was queried; Since 1.0.

      This should refer to a valid physical port (i.e. <= `Port.MAX`), or to `Port.ANY` for all configured queues.

      Note that in 1.0, the port number is u16.

      Returns:
        the port number

    - #### getQueues

          public List<Queue> getQueues()

      Returns the list of configured queues; Since 1.0.
      Returns:
        the list of queues

Copyright © 2014. All Rights Reserved.